//+------------------------------------------------------------------+
//|                                                        .mq4 |
//+------------------------------------------------------------------+
//  
//          
// -     
//       

//+----------------------------------------------------------------+
//+            .
//+----------------------------------------------------------------+
#property indicator_chart_window
double TT,  OT,  CT, HT, LT,   TT1,   OT1, CT1,  HT1, LT1, OV1, OV2,
       GL1OC,GL2OC, SOC, SOC1, SHL, SHL1,CSS, CSS1,OV12, OV22, OC1;
double TTv2,  OTv2,  CTv2, HTv2, LTv2,   TT1v2,   OT1v2, CT1v2,  HT1v2, LT1v2,
       GL1OCv2,GL2OCv2, SOCv2, SOC1v2, SHLv2, SHL1v2,CSSv2, CSS1v2;
extern int PP=5;
extern int Nb = 5;
extern int PB = 20;
extern int milis = 60 ;
extern string Sy1   = "EURUSD";
extern string Sy2   = "EURJPY";
double           Minimum                ,
                 Maximum                ;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
//----
 for (int i=0; i<Nb; i++) {
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TLv2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TTv2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG6v2"+i) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG7v2"+i) ;
//----
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TL"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TT"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG1"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG2"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG3"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG4"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG5"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG6"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG7"+i) ;
}
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();

//----
//    
//----
//----
   for (int i=0; i<Nb; i++) {
   //     
       TT = iTime( Sy1, PP , i);
       OT = iOpen( Sy1, PP , i);
       CT = iClose( Sy1, PP , i);
       HT = iHigh( Sy1, PP , i);
       LT = iLow( Sy1, PP , i);
       TT1 = iTime( Sy1, PP , i+1);
       OT1 = iOpen( Sy1, PP , i+1);
       CT1 = iClose( Sy1, PP , i+1);
       HT1 = iHigh( Sy1, PP , i+1); 
       LT1 = iLow( Sy1, PP , i+1);
       GL1OC = ((HT - LT)/3)+LT ;
       GL2OC = (((HT - LT)/3)*2)+LT ;
       SHL = ((HT - LT)/2) + LT ;
       SOC = ((OT - CT)/2) + CT ;
       CSS = ((SHL - SOC)/2)+ SOC ;
       SHL1 = ((HT1 - LT1)/2) + LT1 ;
       SOC1 = ((OT1 - CT1)/2) + CT1 ;
       CSS1 = ((SHL1 - SOC1)/2)+ SOC1 ;
       
      int MaxU =ArrayMaximum(High,PB,5);
      int MinU =ArrayMinimum(Low,PB,5);
      Maximum=High[MaxU];
      Minimum=Low[MinU]; 
       TTv2 = iTime( Sy2, PP , i)+1800;
        OC1 =-(iOpen( Sy1, PP , i)-iClose( Sy1, PP , i))-((iOpen( Sy2, PP , i)-iClose( Sy2, PP , i))*0.01);
       OV2 =((iOpen( Sy2, PP , i)*0.01)-OT);//          
       //       
       OV22 =((iOpen( Sy2, PP , i+1)*0.01)-OV2);//    
       OTv2 = ((iOpen( Sy2, PP , i)*0.01)-OV2); //     
       CTv2 = ((iClose( Sy2, PP , i)*0.01)-OV2);
       HTv2 = ((iHigh( Sy2, PP , i)*0.01)-OV2);
       LTv2 = ((iLow( Sy2, PP , i)*0.01)-OV2);
       TT1v2 = iTime( Sy2, PP , i+1)+1800;
       OT1v2 = ((iOpen( Sy2, PP , i+1)*0.01)-OV2);
       CT1v2 = ((iClose( Sy2, PP , i+1)*0.01)-OV2);
       HT1v2 = ((iHigh( Sy2, PP , i+1)*0.01)-OV2); 
       LT1v2 = ((iLow( Sy2, PP , i+1)*0.01)-OV2);
       
       GL1OCv2 = ((HTv2 - LTv2)/3)+LTv2 ;
       GL2OCv2 = (((HTv2 - LTv2)/3)*2)+LTv2 ;
       
       SHLv2 = ((HTv2 - LTv2)/2) + LTv2 ;
       SOCv2 = ((OTv2 - CTv2)/2) + CTv2 ;
       CSSv2 = ((SHLv2 - SOCv2)/2)+ SOCv2 ;//1
       
       SHL1v2 = ((HT1v2 - LT1v2)/2) + LT1v2 ;
       SOC1v2 = ((OT1v2 - CT1v2)/2) + CT1v2 ;
       CSS1v2 = ((SHL1v2 - SOC1v2)/2)+ SOC1v2 ;//2
       
      //--------------------------
      //  -
      //--------------------------
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TTv2"+i,OBJ_RECTANGLE,0,0,0,0,0);
   //   
     if(OTv2<CTv2)
     {
     ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_COLOR ,Olive) ;
     }
     if(OTv2>CTv2)
     {
     ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_COLOR ,Pink) ;
     }
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_WIDTH ,6) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_TIME1 ,TTv2+((milis*5)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_TIME2 ,TTv2+((milis*3)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_PRICE1 ,OTv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TTv2"+i, OBJPROP_PRICE2 ,CTv2) ;
   RefreshRates();
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_COLOR ,Gold) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_TIME1 ,TTv2+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_TIME2 ,TTv2+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_PRICE1 ,HTv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i, OBJPROP_PRICE2 ,HTv2) ;
   RefreshRates();
   //  
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TLv2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   if(OTv2<CTv2)
     {
     ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_COLOR ,Olive) ;
     }
     if(OTv2>CTv2)
     {
     ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_COLOR ,Pink) ;
     }
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_TIME1 ,TTv2+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_TIME2 ,TTv2+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_PRICE1 ,HTv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TLv2"+i, OBJPROP_PRICE2 ,LTv2) ;
   RefreshRates();
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_COLOR ,Gold) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_TIME1 , TTv2+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_TIME2 ,TTv2+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_PRICE1 ,LTv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i, OBJPROP_PRICE2 ,LTv2) ;
   RefreshRates();
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_COLOR ,Gold) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_TIME1 ,TTv2+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_TIME2 ,TTv2+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_PRICE1 ,GL1OCv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i, OBJPROP_PRICE2 ,GL1OCv2) ;
   RefreshRates();
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_COLOR ,Gold) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_TIME1 ,TTv2+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_TIME2 ,TTv2+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_PRICE1 ,GL2OCv2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i, OBJPROP_PRICE2 ,GL2OCv2) ;
   RefreshRates();
   ObjectCreate(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_COLOR ,Aqua) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_TIME1 ,TTv2+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_TIME2 ,TTv2-(milis)+(milis*(PP*Nb))) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_PRICE1 , CSSv2 ) ;
   ObjectSet(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i, OBJPROP_PRICE2 , CSS1v2 ) ;
   RefreshRates();
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TLv2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TTv2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG1v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG2v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG3v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG4v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG5v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG6v2"+i+1) ;
ObjectDelete(Sy2+DoubleToStr(Period(),0)+"TG7v2"+i+1) ;
//-------------------
//  -
//-------------------
ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TT"+i,OBJ_RECTANGLE,0,0,0,0,0);
   //   
     if(OT<CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_COLOR ,Lime) ;
     }
     if(OT>CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_COLOR ,Red) ;
     }
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_WIDTH ,6) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_TIME1 ,TT+((milis*5)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_TIME2 ,TT+((milis*3)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_PRICE1 ,OT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_PRICE2 ,CT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG1"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_PRICE1 ,HT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_PRICE2 ,HT) ;
   RefreshRates();
   
   //  
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TL"+i,OBJ_TREND,0,0,0,0,0);
   //   
   if(OT<CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_COLOR ,Lime) ;
     }
     if(OT>CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_COLOR ,Red) ;
     }
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_TIME2 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_PRICE1 ,HT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_PRICE2 ,LT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_TIME1 , TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_PRICE1 ,LT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_PRICE2 ,LT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG3"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_PRICE1 ,GL1OC) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_PRICE2 ,GL1OC) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG4"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_PRICE1 ,GL2OC) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_PRICE2 ,GL2OC) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG5"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_COLOR ,Blue) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_TIME2 ,TT-(milis)+(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_PRICE1 , CSS ) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_PRICE2 , CSS1 ) ;
   RefreshRates();
//----
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG6"+i,OBJ_TREND,0,0,0,0,0);
   //   ,     ,  
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_COLOR ,Pink) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_TIME2 ,TT-(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_PRICE1 , Maximum +0.0001) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_PRICE2 , Maximum +0.0001) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG7"+i,OBJ_TREND,0,0,0,0,0);
   //   ,     ,  
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_COLOR ,Pink) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_TIME2 ,TT-(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_PRICE1 , Minimum -0.0001) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_PRICE2 , Minimum -0.0001) ;
   RefreshRates();
//----
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TL"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TT"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG1"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG2"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG3"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG4"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG5"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG6"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG7"+i+1) ;
//----
//----
}
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+